Skip to main content
POST
/
api
/
ap2
/
mandate
Create a spending mandate for recurring AP2 payments
curl --request POST \
  --url https://mag3nt.com/api/ap2/mandate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "card_id": "<string>",
  "card_token": "<string>",
  "amount": 123,
  "merchant": "<string>",
  "max_amount": 123,
  "expires_at": "2023-11-07T05:31:56Z"
}
'
{
  "mandate_id": "<string>",
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mag3nt.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Session token from POST /api/auth/verify

Body

application/json
card_id
string
required
card_token
string
required
amount
number
required
merchant
string
required
max_amount
number
expires_at
string<date-time>

Response

200 - application/json

Mandate created

mandate_id
string
status
string